.cookie-v-overlay {
    background-color: #00000066;
}

.cookie-wrap {
    width: 100%;
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    z-index: 9999;
    display: flex;
    padding: 44px 16px;
    overflow: hidden;
    overflow-y: auto;
}

.cookie {
    background-color: var(--bg-white);
    border-radius: 12px;
    padding: 20px;
    width: 100%;
    max-width: 1076px;
    margin: auto;
    position: relative;
}

.cookie-first {
    margin-bottom: 0;
}

.cookie-title {
    font-weight: 600;
    font-size: 18px;
    line-height: 1.2;
    margin-bottom: 8px;
    display: flex;
    align-items: center;
    gap: 8px;
}

.cookie-title-icon {
    width: 32px;
    height: 32px;
}

.cookie-content {
    display: flex;
    align-items: center;
}

.cookie-text {
    color: #8C8C8C;
}

.cookie-text a {
    color: var(--primary-main);
}

.cookie-btns {
    display: flex;
    align-items: center;
    gap: 16px;
    flex: none;
}

/* cookie settings */

.cookie-second .cookie-close {
    display: none;
}



.cookie-setting {
    margin-top: 32px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.cookie-setting .accent {
    color: var(--primary-main);
    font-size: 14px;
}

.cookie-setting__item {
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding-bottom: 20px;
}

.cookie-setting__item:not(:last-child) {
    border-bottom: 1px solid var(--bg-color);
}

.cookie-setting__item-title {
    font-weight: 600;
}

.cookie-setting__item-text {
    font-size: 14px;
    line-height: 1.4;
}

.custom-switch {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}

.custom-switch input {
    display: none;
}

.custom-switch input:checked + .custom-switch__check {
    background-color: var(--secondary-main);
}

.custom-switch input:checked + .custom-switch__check::before {
    transform: translateX(calc(100% + 4px));
}

.custom-switch__check {
    width: 44px;
    height: 22px;
    background-color: var(--bg-color);
    border-radius: 16px;
    position: relative;
    flex: none;
    transition: all 0.3s;
}

.custom-switch__check::before {
    position: absolute;
    content: "";
    width: 18px;
    height: 18px;
    background-color: #fff;
    border-radius: 50%;
    top: 2px;
    left: 2px;
    transition: all 0.3s;
}




@media (max-width:1024px) {
    .cookie-wrap {
        padding-bottom: 120px;
    }

    .cookie-content {
        flex-direction: column;
        gap: 16px;
    }
}

@media (max-width:600px) {
    .cookie-btns {
        flex-direction: column;
        width: 100%;
    }

    .cookie-content {
        font-size: 14px;
        line-height: 1.4;
        font-weight: 300;
    }

    .cookie-content a {
        display: block;
        font-weight: 400;
    }

    .cookie-btns {
        gap: 12px;
    }

    .cookie-btns .cookie-btn {
        width: 100%;
        font-weight: 700;
        font-size: 18px;
    }


    .cookie-second .cookie-title-icon {
        display: none;
    }

    .cookie-second .cookie-title {
        justify-content: space-between;
    }

    .cookie-second .cookie-close {
        display: flex;
    }
}